
IF(DEFINED NLIB_IMPORT_NX_MISC)
  RETURN()
ENDIF()

INCLUDE("${CMAKE_CURRENT_LIST_DIR}/import.n.cmake")

#
# nx_misc
#
IF(NOT TARGET nx_misc)
  ADD_LIBRARY(nx_misc ${NLIB_LIBTYPE} IMPORTED)
  SET_PROPERTY(TARGET nx_misc PROPERTY IMPORTED_LOCATION "${NLIB_DIR}/${NLIB_PREFIX}nx_misc${NLIB_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_misc PROPERTY IMPORTED_LOCATION_RELEASE "${NLIB_DIR}/${NLIB_PREFIX}nx_misc${CMAKE_RELEASE_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_misc PROPERTY IMPORTED_LOCATION_DEBUG "${NLIB_DIR}/${NLIB_PREFIX}nx_misc${CMAKE_DEBUG_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_misc PROPERTY IMPORTED_IMPLIB "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_misc${NLIB_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_misc PROPERTY IMPORTED_IMPLIB_RELEASE "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_misc${CMAKE_RELEASE_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_misc PROPERTY IMPORTED_IMPLIB_DEBUG "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_misc${CMAKE_DEBUG_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_misc APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${NLIB_RELEASE_ROOT}/include")
ENDIF()
SET_PROPERTY(TARGET nx_misc APPEND PROPERTY INTERFACE_LINK_LIBRARIES n)
SET_PROPERTY(TARGET nx_misc APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${ZLIB_INCLUDE_DIRS};${CURL_INCLUDE_DIRS}")
SET_PROPERTY(TARGET nx_misc APPEND PROPERTY INTERFACE_LINK_LIBRARIES "${ZLIB_LIBRARIES}")
SET_PROPERTY(TARGET nx_misc APPEND PROPERTY INTERFACE_LINK_LIBRARIES "${CURL_LIBRARIES}")

SET(NLIB_IMPORT_NX_MISC TRUE)
