#!/bin/sh
if ! type NDICmd > /dev/null 2>&1; then
  echo "$(basename $0) ERROR: Please install NDICmd(NintendoSDK)" >&2
  exit 1
fi

if ! type awk > /dev/null 2>&1; then
  echo "$(basename $0) ERROR: Please install awk" >&2
  exit 1
fi

if ! type sed > /dev/null 2>&1; then
  echo "$(basename $0) ERROR: Please install sed" >&2
  exit 1
fi

if ! type jq > /dev/null 2>&1; then
  echo "$(basename $0) ERROR: Please install jq" >&2
  exit 1
fi

a=$(NDICmd q Environments | awk '{if(NR%10){ORS=" "}else{ORS="\n"};print;}' | sed -e "s/^.*------- \[/\[/g" | jq '.[]')
echo -n "$(echo $a | jq -r '.Root')\\$(echo $a | jq -r '.Name')\\NintendoSDK"
