
IF(DEFINED NLIB_IMPORT_NX_OSS)
  RETURN()
ENDIF()

INCLUDE("${CMAKE_CURRENT_LIST_DIR}/import.nx_heap.cmake")

#
# nx_oss_bsdiff
#
IF(NOT TARGET nx_oss_bsdiff)
  ADD_LIBRARY(nx_oss_bsdiff ${NLIB_LIBTYPE} IMPORTED)
  SET_PROPERTY(TARGET nx_oss_bsdiff PROPERTY IMPORTED_LOCATION "${NLIB_DIR}/${NLIB_PREFIX}nx_oss_bsdiff${NLIB_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_bsdiff PROPERTY IMPORTED_LOCATION_RELEASE "${NLIB_DIR}/${NLIB_PREFIX}nx_oss_bsdiff${CMAKE_RELEASE_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_bsdiff PROPERTY IMPORTED_LOCATION_DEBUG "${NLIB_DIR}/${NLIB_PREFIX}nx_oss_bsdiff${CMAKE_DEBUG_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_bsdiff PROPERTY IMPORTED_IMPLIB "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_oss_bsdiff${NLIB_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_bsdiff PROPERTY IMPORTED_IMPLIB_RELEASE "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_oss_bsdiff${CMAKE_RELEASE_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_bsdiff PROPERTY IMPORTED_IMPLIB_DEBUG "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_oss_bsdiff${CMAKE_DEBUG_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_bsdiff APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${NLIB_RELEASE_ROOT}/include")
ENDIF()
IF(CAFE OR CTR)
  SET_PROPERTY(TARGET nx_oss_bsdiff APPEND PROPERTY INTERFACE_LINK_LIBRARIES nx_heap)
ELSE()
  SET_PROPERTY(TARGET nx_oss_bsdiff APPEND PROPERTY INTERFACE_LINK_LIBRARIES nx_misc)
ENDIF()

#
# nx_oss_lz4
#
IF(NOT TARGET nx_oss_lz4)
  ADD_LIBRARY(nx_oss_lz4 ${NLIB_LIBTYPE} IMPORTED)
  SET_PROPERTY(TARGET nx_oss_lz4 PROPERTY IMPORTED_LOCATION "${NLIB_DIR}/${NLIB_PREFIX}nx_oss_lz4${NLIB_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_lz4 PROPERTY IMPORTED_LOCATION_RELEASE "${NLIB_DIR}/${NLIB_PREFIX}nx_oss_lz4${CMAKE_RELEASE_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_lz4 PROPERTY IMPORTED_LOCATION_DEBUG "${NLIB_DIR}/${NLIB_PREFIX}nx_oss_lz4${CMAKE_DEBUG_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_lz4 PROPERTY IMPORTED_IMPLIB "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_oss_lz4${NLIB_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_lz4 PROPERTY IMPORTED_IMPLIB_RELEASE "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_oss_lz4${CMAKE_RELEASE_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_lz4 PROPERTY IMPORTED_IMPLIB_DEBUG "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_oss_lz4${CMAKE_DEBUG_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_lz4 APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${NLIB_RELEASE_ROOT}/include")
ENDIF()
IF(CAFE OR CTR)
  SET_PROPERTY(TARGET nx_oss_lz4 APPEND PROPERTY INTERFACE_LINK_LIBRARIES nx_heap)
ELSE()
  SET_PROPERTY(TARGET nx_oss_lz4 APPEND PROPERTY INTERFACE_LINK_LIBRARIES nx_misc)
ENDIF()

#
# nx_oss_sqlite3
#
IF(NOT TARGET nx_oss_sqlite3)
  ADD_LIBRARY(nx_oss_sqlite3 ${NLIB_LIBTYPE} IMPORTED)
  SET_PROPERTY(TARGET nx_oss_sqlite3 PROPERTY IMPORTED_LOCATION "${NLIB_DIR}/${NLIB_PREFIX}nx_oss_sqlite3${NLIB_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_sqlite3 PROPERTY IMPORTED_LOCATION_RELEASE "${NLIB_DIR}/${NLIB_PREFIX}nx_oss_sqlite3${CMAKE_RELEASE_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_sqlite3 PROPERTY IMPORTED_LOCATION_DEBUG "${NLIB_DIR}/${NLIB_PREFIX}nx_oss_sqlite3${CMAKE_DEBUG_POSTFIX}${NLIB_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_sqlite3 PROPERTY IMPORTED_IMPLIB "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_oss_sqlite3${NLIB_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_sqlite3 PROPERTY IMPORTED_IMPLIB_RELEASE "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_oss_sqlite3${CMAKE_RELEASE_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_sqlite3 PROPERTY IMPORTED_IMPLIB_DEBUG "${NLIB_DIR}/${CMAKE_IMPORT_LIBRARY_PREFIX}nx_oss_sqlite3${CMAKE_DEBUG_POSTFIX}${CMAKE_IMPORT_LIBRARY_SUFFIX}")
  SET_PROPERTY(TARGET nx_oss_sqlite3 APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${NLIB_RELEASE_ROOT}/include")
ENDIF()
IF(CAFE OR CTR)
  SET_PROPERTY(TARGET nx_oss_sqlite3 APPEND PROPERTY INTERFACE_LINK_LIBRARIES nx_heap)
ELSE()
  SET_PROPERTY(TARGET nx_oss_sqlite3 APPEND PROPERTY INTERFACE_LINK_LIBRARIES n)
ENDIF()

SET(NLIB_IMPORT_NX_OSS TRUE)
