﻿
/*---------------------------------------------------------------------------*

  Project: CrossRoad
  Copyright (C)2012-2016 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/

#include "nn/nlib/Platform.h"
#include "nn/nlib/oss/sqlite3.h"

#include "nn/nlib/Config.h"
#include "nn/nlib/NativePathMapper.h"
extern "C" int my_main(int argc, char **argv);

NLIB_PATHMAPPER_FORSAMPLE

bool SampleMain(int argc, char** argv) {
    InitPathMapperForSample();
    char dbdir[1024];
    g_PathMapper.ResolvePath(NULL, dbdir, "nlibpath:///readwrite/");
    sqlite3_nlib_set_directory(SQLITE_NLIB_DATA_DIRECTORY_TYPE, dbdir);
    sqlite3_nlib_set_directory(SQLITE_NLIB_TEMP_DIRECTORY_TYPE, dbdir);

    return my_main(argc, argv) == 0;
}

NLIB_MAINFUNC
